<%--

  Licensed under the GNU LESSER GENERAL PUBLIC LICENSE, version 2.1, dated February 1999.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the latest version of the GNU Lesser General
  Public License as published by the Free Software Foundation;

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program (LICENSE.txt); if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

--%>
<%@ page errorPage="/WEB-INF/jsp/error.jsp"
    contentType="text/html; charset=utf-8"
%>

<%@ include file="page-init.jsp" %>

<c:if test="${!empty editResolve}">
<div class="message red"><fmt:message key="edit.exception.conflict" /></div>
</c:if>

<c:if test="${!empty topicVersionId}"><div class="message red"><fmt:message key="edit.warning.oldversion" /></div></c:if>

<c:if test="${!empty editSpam}">
<div class="message red"><fmt:message key="${spam.key}"><fmt:param value="${spam.params[0]}" /></fmt:message></div>
</c:if>
<jamwiki:enabled property="PROP_TOPIC_USE_PREVIEW">
<c:if test="${!empty editPreview}">
<div class="message red"><fmt:message key="edit.warning.preview" /></div>
</c:if>
</jamwiki:enabled>

<%@ include file="category-include.jsp" %>

<jamwiki:enabled property="PROP_TOPIC_USE_PREVIEW">
<c:if test="${!empty editPreview}">
<%@ include file="view-topic-include.jsp" %>
</c:if>
</jamwiki:enabled>

<jamwiki:enabled property="PROP_TOPIC_USE_SHOW_CHANGES">
<c:if test="${!empty editShowChanges}">
<%@ include file="diff-include.jsp" %>
</c:if>
</jamwiki:enabled>

<fieldset>
<legend><fmt:message key="topic.caption.editlegend" /></legend>

<form name="form" method="post" name="editform" action="<jamwiki:link value="Special:Edit" />">
<input type="hidden" name="topic" value="<c:out value="${pageInfo.topicName}" />" />
<input type="hidden" name="lastTopicVersionId" value="<c:out value="${lastTopicVersionId}" />" />
<input type="hidden" name="section" value="<c:out value="${section}" />" />
<input type="hidden" name="topicVersionId" value="<c:out value="${topicVersionId}" />" />

<c:choose>
	<c:when test="${editor == 'toolbar'}">
		<%@ include file="editor-toolbar-include.jsp" %>
	</c:when>
</c:choose>

<p>
<textarea id="topicContents" name="contents" rows="25" cols="80" accesskey=","><c:out value="${contents}" escapeXml="true" /></textarea>
</p>
<p><label for="editComment"><fmt:message key="edit.caption.comment" /></label>: <input type="text" name="editComment" value="<c:out value="${editComment}" />" size="60" id="editComment" /></p>
<c:if test="${minlevel!=maxlevel}">
<p>Set level: <select name="newlevel" id="newlevel">
		<c:if test="${minlevel < 1}">

			<c:choose>
				<c:when test="${newlevel == 0}">
					<option selected="yes" value="0">Level 0</option>
				</c:when>
				<c:when test="${newlevel != 0}">
					<option value="0">Level 0</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 2 && maxlevel>0}">
			<c:choose>
				<c:when test="${newlevel == 1}">
					<option selected="yes" value="1">Level 1</option>
				</c:when>
				<c:when test="${newlevel != 1}">
					<option value="1">Level 1</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 3 && maxlevel>1}">
			<c:choose>
				<c:when test="${newlevel == 2}">
					<option selected="yes" value="2">Level 2</option>
				</c:when>
				<c:when test="${newlevel != 2}">
					<option value="2">Level 2</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 4 && maxlevel>2}">
			<c:choose>
				<c:when test="${newlevel == 3}">
					<option selected="yes" value="3">Level 3</option>
				</c:when>
				<c:when test="${newlevel != 3}">
					<option value="3">Level 3</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 5 && maxlevel>3}">
			<c:choose>
				<c:when test="${newlevel == 4}">
					<option selected="yes" value="4">Level 4</option>
				</c:when>
				<c:when test="${newlevel != 4}">
					<option value="4">Level 4</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 6 && maxlevel>4}">
			<c:choose>
				<c:when test="${newlevel == 5}">
					<option selected="yes" value="5">Level 5</option>
				</c:when>
				<c:when test="${newlevel != 5}">
					<option value="5">Level 5</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 6+1 && maxlevel>6-1}">
			<c:choose>
				<c:when test="${newlevel == 6}">
					<option selected="yes" value="6">Level 6</option>
				</c:when>
				<c:when test="${newlevel != 6}">
					<option value="6">Level 6</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 7+1 && maxlevel>7-1}">
			<c:choose>
				<c:when test="${newlevel == 7}">
					<option selected="yes" value="7">Level 7</option>
				</c:when>
				<c:when test="${newlevel != 7}">
					<option value="7">Level 7</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 8+1 && maxlevel>8-1}">
			<c:choose>
				<c:when test="${newlevel == 8}">
					<option selected="yes" value="8">Level 8</option>
				</c:when>
				<c:when test="${newlevel != 8}">
					<option value="8">Level 8</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 9+1 && maxlevel>9-1}">
			<c:choose>
				<c:when test="${newlevel == 9}">
					<option selected="yes" value="9">Level 9</option>
				</c:when>
				<c:when test="${newlevel != 9}">
					<option value="9">Level 9</option>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${minlevel < 10+1 && maxlevel>10-1}">
			<c:choose>
				<c:when test="${newlevel == 10}">
					<option selected="yes" value="10">Level 10</option>
				</c:when>
				<c:when test="${newlevel != 10}">
					<option value="10">Level 10</option>
				</c:when>
			</c:choose>
		</c:if>
</select></p>
</c:if>
<p>
<input type="submit" name="save" value="<fmt:message key="common.save" />"  accesskey="s" />

<jamwiki:enabled property="PROP_TOPIC_USE_PREVIEW"><input type="submit" name="preview" value="<fmt:message key="edit.action.preview" />" accesskey="p" /></jamwiki:enabled>
<jamwiki:enabled property="PROP_TOPIC_USE_SHOW_CHANGES"><input type="submit" name="showChanges" value="<fmt:message key="edit.action.showchanges" />" accesskey="v" /></jamwiki:enabled>

&nbsp;&nbsp;&nbsp;
<input type="checkbox" value="true" name="minorEdit"<c:if test="${minorEdit}"> checked</c:if> id="minorEdit" accesskey="i" />
<label for="minorEdit"><fmt:message key="edit.caption.minor" /></label>
<security:authorize ifNotGranted="ROLE_ANONYMOUS">
&nbsp;&nbsp;&nbsp;
<input type="checkbox" value="true" name="watchTopic"<c:if test="${watchTopic}"> checked</c:if> id="watchTopic" accesskey="w" />
<label for="watchTopic"><fmt:message key="edit.caption.watch" /></label>
</security:authorize>
</p>

<c:if test="${!empty editResolve}">
<%@ include file="diff-include.jsp" %>
<p>
<textarea name="contentsResolve" rows="25" cols="80"><c:out value="${contentsResolve}" escapeXml="true" /></textarea>
</p>
</c:if>

</form>

</fieldset>
