/**
 * Licensed under the GNU LESSER GENERAL PUBLIC LICENSE, version 2.1, dated February 1999.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the latest version of the GNU Lesser General
 * Public License as published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program (LICENSE.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.jamwiki.servlets;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jamwiki.WikiBase;
import org.jamwiki.model.Role;
import org.jamwiki.utils.WikiLogger;
import org.springframework.web.servlet.ModelAndView;

/*
 * WARNING: This servlet was abandonded because it did not add anything to the solution
 * Might be relevant for furture work though.
 * It allows you to recreate all integrity related tables in the database
 */
public class SetupIntegrityServlet extends JAMWikiServlet {

	private static final WikiLogger logger = WikiLogger.getLogger(SetupServlet.class.getName());
	/** The name of the JSP file used to render the servlet output. */
	//protected static final String JSP_SETUP = "setup.jsp";
	private static final int MINIMUM_JDK_VERSION = 140;

    protected ModelAndView handleJAMWikiRequest(HttpServletRequest request, HttpServletResponse response, ModelAndView next, WikiPageInfo pageInfo) throws Exception {
        setupintegrity(request, next, pageInfo);
        return next;
    }

    private void setupintegrity(HttpServletRequest request, ModelAndView next, WikiPageInfo pageInfo) {
        if(ServletUtil.currentUserDetails()==null || !ServletUtil.currentUserDetails().hasRole(Role.ROLE_ADMIN) ) {
            //Not an administrator
            next.addObject("admin", 0);
        }
        next.addObject("admin", 1);
        int numberOfTables = WikiBase.getDataHandler().createIntegrityTables();
		next.addObject("number",numberOfTables);
    }
}