/**
 * Licensed under the GNU LESSER GENERAL PUBLIC LICENSE, version 2.1, dated February 1999.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the latest version of the GNU Lesser General
 * Public License as published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program (LICENSE.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Based on code generated by Agitar build: Agitator Version 1.0.2.000071 (Build date: Jan 12, 2007) [1.0.2.000071]
 */
package org.jamwiki.servlets;

import org.jamwiki.model.WikiUser;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 */
public class XMLTopicFactoryTest {

	/**
	 *
	 */
	@Test
	public void testPreprocessText() throws Throwable {
		String result = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(""), "testXMLTopicFactoryAuthorIpAddress").preprocessText("testXMLTopicFactoryText");
		assertEquals("result", "testXMLTopicFactoryText", result);
	}

	/**
	 *
	 */
	@Test
	public void testPreprocessText1() throws Throwable {
		String result = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(""), "testXMLTopicFactoryAuthorIpAddress").preprocessText(null);
		assertNull("result", result);
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testCharactersThrowsNullPointerException() throws Throwable {
		char[] buf = new char[1];
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.characters(buf, 100, 1000);
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testEndElementThrowsNullPointerException1() throws Throwable {
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.endElement("testXMLTopicFactoryNamespaceURI", "testXMLTopicFactorySName", "title");
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testEndElementThrowsNullPointerException2() throws Throwable {
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(""), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.endElement("testXMLTopicFactoryNamespaceURI", "testXMLTopicFactorySName", "page");
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testEndElementThrowsNullPointerException3() throws Throwable {
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(""), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.endElement("testXMLTopicFactoryNamespaceURI", "testXMLTopicFactorySName", "text");
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testEndElementThrowsNullPointerException4() throws Throwable {
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(""), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.endElement("testXMLTopicFactoryNamespaceURI", "testXMLTopicFactorySName", "namespace");
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testStartElementThrowsNullPointerException() throws Throwable {
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(""), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.startElement("testXMLTopicFactoryNamespaceURI", "testXMLTopicFactoryLName", "testXMLTopicFactoryQName", null);
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testStartElementThrowsNullPointerException1() throws Throwable {
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(""), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.endElement("testXMLTopicFactoryNamespaceURI", "testXMLTopicFactorySName", "testXMLTopicFactoryQName");
		xMLTopicFactory.startElement("testXMLTopicFactoryNamespaceURI", "", "testXMLTopicFactoryQName", null);
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testStartElementThrowsNullPointerException2() throws Throwable {
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.startElement("testXMLTopicFactoryNamespaceURI", "", "testXMLTopicFactoryQName", null);
	}

	/**
	 *
	 */
	@Test(expected=NullPointerException.class)
	public void testStartElementThrowsNullPointerException3() throws Throwable {
		XMLTopicFactory xMLTopicFactory = new XMLTopicFactory("testXMLTopicFactoryVirtualWiki", new WikiUser(""), "testXMLTopicFactoryAuthorIpAddress");
		xMLTopicFactory.endElement("testXMLTopicFactoryNamespaceURI", "testXMLTopicFactorySName", "testXMLTopicFactoryQName");
		xMLTopicFactory.startElement("testXMLTopicFactoryNamespaceURI", "testXMLTopicFactoryLName", "testXMLTopicFactoryQName", null);
	}
}

